package com.winhc.bigdata.task.util;

/**
 * @author ZhangJi
 * @since 2021-08-13 16:54
 */
public class ThrowableUtils {
    public static String getStackTraceByPn(Throwable e, String packagePrefix) {
        StringBuilder s = new StringBuilder("\n").append(e);
        for (StackTraceElement traceElement : e.getStackTrace()) {
            if (!traceElement.getClassName().startsWith(packagePrefix)) {
                break;
            }
            s.append("\n\tat ").append(traceElement);
        }
        return s.toString();
    }
}
